Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228954 - kernel-2.6.20-1.2930.fc7 fails to boot on a system with sata_via
Summary: kernel-2.6.20-1.2930.fc7 fails to boot on a system with sata_via
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL: http://lkml.org/lkml/2007/2/12/292
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 04:55 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 23:44:54 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2007-02-16 04:55:01 UTC
Description of problem:

Attempts to boot end up with a failure to find root device.
If you watch close enough scrolling messages then it could be
noticed that earlier sata_via probe ends with with an error -12
(most likely; this is going pretty fast and later the whole
machine is just dead).

Jay Cliburn suggested that this is probably an instance of
http://lkml.org/lkml/2007/2/12/292
That would be not so surprising.  My machine has VT6420 SATA
controller.  2.6.20-1.2925.fc7 and a long succession of earlier
kernels boots without problems.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2930.fc7

How reproducible:
always

Additional info:
This is not nash, which changed too, on initrd.  I put together
an initrd with the same content in /bin and /lib64 as the previous,
working, one.  No difference.

Comment 1 Michal Jaegermann 2007-02-17 22:41:42 UTC
No changes with kernel-2.6.20-1.2932.fc7.  Jay Cliburn recompiled
that kernel plus a referenced patch.  This boots on his vt8237a,
while it was failing the same way as in this report, and on mine
machine as well.

Comment 2 Jay Cliburn 2007-02-17 23:01:38 UTC
Here's the tail-end of the failing boot output of the 2932 kernel captured from
a serial console.

SCSI subsystem initialized
libata version 2.10 loaded.
sata_via 0000:00:0f.0: version 2.0
ACPI: PCI Interrupt 0000:00:0f.0[B] -> GSI 21 (level, low) -> IRQ 21
sata_via 0000:00:0f.0: failed to iomap PCI BAR 0
sata_via 0000:00:0f.0: out of memory
ACPI: PCI interrupt for device 0000:00:0f.0 disabled
sata_via: probe of 0000:00:0f.0 failed with error -12
usb 2-1: USB disconnect, address 2
usb 2-1: new low speed USB device using uhci_hcd and address 3
usb 2-1: configuration #1 chosen from 1 choice
input: Microsoft Basic Optical Mouse as /class/input/input2
input: USB HID v1.10 Mouse [Microsoft Basic Optical Mouse] on usb-0000:00:10.1-1
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
Kernel panic - not syncing: Attempted to kill init!

As Michal indicates, running the 2932 kernel with Tejun Heo's patch (referenced
in the OP) fixes the problem.

I reported this to lkml.  http://lkml.org/lkml/2007/2/17/155

Comment 3 Michal Jaegermann 2007-02-23 23:44:54 UTC
kernels 1.2936.fc7 and 1.2940.fc7 boot with sata_via in use;
at least on my hardware.


Note You need to log in before you can comment on or make changes to this bug.